/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
/**
 * Title:        Logging Utility Testing for Radview Java code
 * Description:  Classes in this project serves as a logging utility for java code.
 * Copyright:    Copyright (c) 2001
 * Company:      Radview
 * @author Nira Shavitt
 * @version 1.0
 */

package com.radview.util.log;

public class LogTest {

   public static void main(String[] args) {

     // init the logging service using the configuration file.
     Log.initCfg(args[0]);

		 /*
     long startTime = System.currentTimeMillis();
     if (Log.isLogging)
       Log.logMsg(Log.INFO, "main: Entering application.");
		*/

		 LogTest.logAgain();
     if (Log.isLogging)
      Log.logCategory.info("logging directly");
     //for (int i = 0; i < 100000000; i++) {
     //  if (Log.isLogging)
     //    Log.logMsg(Log.INFO, "main: Entering application.");
     //}
     //long endTime = System.currentTimeMillis();
     //long time = endTime - startTime;
     //System.out.println("cunsumed "+time+" milliseconds with Log.isLogging");

     //startTime = System.currentTimeMillis();
     //for (int i = 0; i < 100000000; i++) {
     //  if (Log.isLogging())
     //    Log.logMsg(Log.INFO, "main: Entering application.");
     //}
     //endTime = System.currentTimeMillis();
     //time = endTime - startTime;
     //System.out.println("cunsumed "+time+" milliseconds with Log.isLogging()");
/*
     // first try
     long startTime = System.currentTimeMillis();
     for (int i = 0; i < 100000000; i++) {
       if (DebugInit.onOffCategory.isDebugEnabled())
         DebugInit.debugCategory.info("main: Entering application.");
     }
     long endTime = System.currentTimeMillis();
     long time = endTime - startTime;
     System.out.println("cunsumed "+time+" milliseconds with isDebugEnabled()");

     // second try
     startTime = System.currentTimeMillis();
     for (int i = 0; i < 100000000; i++) {
       if (DebugInit.LOG)
         DebugInit.debugCategory.info("main: Entering application.");
     }
     endTime = System.currentTimeMillis();
     time = endTime - startTime;
     System.out.println("cunsumed "+time+" milliseconds with LOG");

     // third try
     startTime = System.currentTimeMillis();
     for (int i = 0; i < 100000000; i++) {
       if (DebugInit.isLog())
         DebugInit.debugCategory.info("main: Entering application.");
     }
     endTime = System.currentTimeMillis();
     time = endTime - startTime;
     System.out.println("cunsumed "+time+" milliseconds with isLog");

     // forth try
     startTime = System.currentTimeMillis();
     for (int i = 0; i < 100000000; i++) {
       DebugInit.log(Priority.INFO, "main: Entering application.");
     }
     endTime = System.currentTimeMillis();
     time = endTime - startTime;
     System.out.println("cunsumed "+time+" milliseconds with log()");

     // fifth try
     startTime = System.currentTimeMillis();
     for (int i = 0; i < 100000000; i++) {
       if (LogTest.category.isDebugEnabled())
         DebugInit.debugCategory.info("main: Entering application.");
     }
     endTime = System.currentTimeMillis();
     time = endTime - startTime;
     System.out.println("cunsumed "+time+" milliseconds with class category");
   }
*/
  } // main

	static void logAgain() {
	  //if (Log.isLogging())
      //Log.logMsg(Log.DEBUG, "logging with Log.logMsg...");

    if (Log.isLogging)
	    Log.logCategory.debug("logging with Log.logCategory");
	}
}
