/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
enum enumWhiteValue{
	WHITE_NONE_TO_SKIP,
	WHITE_SKIPPED_ALL,
	WHITE_READ_MORE
};

enum enumReadWord{
	WORD_READ_MORE,
	WORD_READ_COMPLETE
};


class CWLXmlDocument;
class RVOrdered;
class CWLScript;
class RVCString;
class CWLHtmlVirtualQueue;
class urlBase;

CWLXmlDocument*				GetXmlById(const char* xmlId, RVOrdered* Xmls);
void									addNewXmlElementToArray(RVCString& tempBuff, size_t xmlEndIndex, CWLDocument *docPtr);
//void									transformScriptToXml(CWLScript* script, RVOrdered* Xmls, CWLHtmlVirtualQueue* QueuePtr, RVCString* docUrlPtr, urlBase* urlBasePtr);
void									transformScriptToXml(CWLScript* script, CWLDocument *docPtr);
enumWhiteValue				xmlSkipWhiteSpaces(RVCString& str, size_t length, size_t& strPtr, char& firstNoneWhite);
bool									readNextWord(RVCString& str, size_t length, size_t& strPtr, size_t& beginWordPtr);
bool									wordEquals(RVCString& str, size_t strPtr, size_t wordPtr,const char* strChar);
void									appendNoNull(RVCString& obj,  const char* str, size_t& newSize);
