/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
// classes
#define WLJSNAME_CLASS_WINDOW      "WLWindow"
#define WLJSNAME_CLASS_KVP         "WLKvp"
#define WLJSNAME_CLASS_DOCUMENT    "WLDocument"
#define WLJSNAME_CLASS_FRAME       "WLFrame"
#define WLJSNAME_CLASS_WINDOW      "WLWindow"
#define WLJSNAME_CLASS_LINK	       "WLLink"
#define WLJSNAME_CLASS_FORM        "WLForm"
#define WLJSNAME_CLASS_SCRIPT      "WLScript"
#define WLJSNAME_CLASS_APPLET      "WLApplet"
#define WLJSNAME_CLASS_ELEMENT     "WLElement"
#define WLJSNAME_CLASS_OPTION      "WLOption"
#define WLJSNAME_CLASS_LOCATION    "WLLocation"
#define WLJSNAME_CLASS_ACTION      "WLAction"
#define WLJSNAME_CLASS_BROWSER_LOCATION  "WLBrowserLocation"
#define WLJSNAME_CLASS_FRAMES      "WLFrames"
#define WLJSNAME_CLASS_ARRAY       "WLArray"
#define WLJSNAME_CLASS_REPLY       "WLReply"
#define WLJSNAME_CLASS_STRING      "WLString"
#define WLJSNAME_CLASS_HEADER      "WLHeader"
#define WLJSNAME_CLASS_IMG		   "WLImg"
#define WLJSNAME_CLASS_EMBED	   "WLEmbed"
#define WLJSNAME_CLASS_CSS		   "WLCss"
#define WLJSNAME_CLASS_TABLE       "WLTable"
#define WLJSNAME_CLASS_ROW         "WLRow"
#define WLJSNAME_CLASS_CELL        "WLCell"
#define WLJSNAME_CLASS_ROW_CELL    "WLRowCell"
#define WLJSNAME_CLASS_TABLE_CELL  "WLTableCell"
#define WLJSNAME_CLASS_XML				 "WLXml"
#define WLJSNAME_CLASS_META        "WLMeta"
#define WLJSNAME_FUNCTIONALTEST_REPORTER_CLASS               "FunctionalTestReporter"
#define WLJSNAME_FUNCTIONALTEST_OBJDETAILS_CLASS             "FunctionalTestObjDetails"

// instances
#define WLJSNAME_OBJECT_WINDOW	  "window"
#define WLJSNAME_OBJECT_DOCUMENT  "document"
#define WLJSNAME_OBJECT_LOCATION  "location"
#define WLJSNAME_OBJECT_EXPECTED_DOM  "expectedDom"
#define WLJSNAME_OBJECT_FRAMES    "frames"
#define WLJSNAME_OBJECT_ACTION    "wlAction"
#define WLJSNAME_OBJECT_KVP       "wlKvp"
#define WLJSNAME_OBJECT_FRAME     "wlFrame"
#define WLJSNAME_OBJECT_LINK			"wlLink"
#define WLJSNAME_OBJECT_FORM      "wlForm"
#define WLJSNAME_OBJECT_ELEMENT   "wlElement"
#define WLJSNAME_OBJECT_SCRIPT	  "wlScript"
#define WLJSNAME_OBJECT_OPTION    "wlOption"
#define WLJSNAME_OBJECT_ARRAY     "wlArray"
#define WLJSNAME_OBJECT_REPLY     "wlReply"
#define WLJSNAME_OBJECT_RESPONSE  "wlResponse"
#define WLJSNAME_OBJECT_IMG				"wlImg"



// functions
#define WLJSNAME_DOM_GET_ALL_FRAMES					"GetAllFrames"
#define WLJSNAME_DOM_GET_ALL_FORMS					"GetAllForms"
#define WLJSNAME_DOM_GET_ALL_LINKS					"GetAllLinks"
#define WLJSNAME_DOM_GET_ALL_IMAGES					"GetAllImages"
#define WLJSNAME_BROWSER_DOM_GET_ALL_FRAMES	"wlGetAllFrames"
#define WLJSNAME_BROWSER_DOM_GET_ALL_FORMS	"wlGetAllForms"
#define WLJSNAME_BROWSER_DOM_GET_ALL_LINKS	"wlGetAllLinks"
#define WLJSNAME_BROWSER_DOM_GET_ALL_IMAGES	"wlGetAllImages"
#define WLJSNAME_IDENTIFY_LINK					"IdentifyLink"
#define WLJSNAME_IDENTIFY_FORM					"IdentifyForm"
#define WLJSNAME_IDENTIFY_IMG					"IdentifyImage"
#define WLJSNAME_IDENTIFY_FRAME					"IdentifyFrame"

//Iterator
#define WLJSNAME_CLASS_ITERATOR  "WLIterator"

// aliases
#define CWLKvp CKVP
#define CWLFrame CWLDocument
