@echo off
REM call ib_path.bat

subst V: .
v:

set builderr=0

set config=%1
set startmodule=%2
set stopmodule=%3
set opt1=%4
set opt2=%5

::set config=release 
::set startmodule=all
if /i ~%startmodule%==~all (
    set startmodule=first
    set stopmodule=last
    set opt1=%3
    set opt2=%4
goto :folders_remove
    
)
goto :end_folders_remove


:folders_remove

if /i ~%config%==~release (
rd /s /q \bin
rd /s /q \lib
    
)

if /i ~%config%==~debug (
rd /s /q \bin_d
rd /s /q \lib_d
    
)

rd /s /q \jars
rd /s /q \inc
rd /s /q \frm
rd /s /q \building_block_files
rd /s /q \ScriptGenerator


:end_folders_remove

md bin
md inc
md lib
md inc\protocol
md bin\en
md bin\xpcom1.4
md bin\components
md frm
md frm\en
md inc\import
md building_block_files
md include
md ScriptGenerator
md ScriptGenerator\DefaultRecorder
md jars

:debug_folder_creation
md bin_d
md lib_d
md bin_d\en
md bin_d\xpcom1.4
md bin_d\components

:end_folder_creation

:copy_files
call copyfiles.bat
:end_copy_files


set buildparam=
set sendto=

if ~%opt1% neq ~ call :optional %opt1%
if ~%opt2% neq ~ call :optional %opt2%

if /i ~%stopmodule%==~ goto :usage
if /i ~%config% NEQ ~debug if /i ~%config% NEQ ~release goto :error1

    
goto %startmodule%
goto :end

:first

:ACEWrap
call makeall.bat ACEWrap %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~ACEWrap goto :end

:OSS_Version_params
cd OSS_Version_params
call copyall.bat
cd\

:tvplat
call makeall.bat tvplat %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~tvplat goto :end

::unixfiles
copy \unixfiles\inc\tvdebug.h \inc\
copy \unixfiles\inc\bool.h \inc\

:unicode
call makeall.bat unicode %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~unicode goto :end


:tvtables
call makeall.bat tvtables %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~tvtables goto :end
if /i ~%stopmodule%==~tvtables goto :end

:tvenv
call makeall.bat tvenv %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~tvenv goto :end

:tvfrm
call makeall.bat tvfrm %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~tvfrm goto :end

:traceapp
call makeall.bat traceapp %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~traceapp goto :end


:rvxmlutils
call makeall.bat rvxmlutils %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~rvxmlutils goto :end

:jutil
call makeall.bat jutil %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~jutil goto :end

:testtalkutil
call makeall.bat testtalkutil %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~testtalkutil goto :end


:testtalkRes
call makeall_english.bat testtalkRes %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~testtalkRes goto :end

:testtalk
rem *********** testtalk for RadView **************
call makeall.bat testtalk %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~testtalk goto :end
rem ***********************************************



:statgenerator
call makeall.bat statgenerator %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~statgenerator goto :end

:spidermonkey4
call makeall.bat spidermonkey4 %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~spidermonkey4 goto :end

:wljavascriptwrap
call makeall.bat wljavascriptwrap %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~wljavascriptwrap goto :end

:loadengine
call makeall.bat loadengine %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~loadengine goto :end


:wldomrepository
call makeall.bat wldomrepository %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~wldomrepository goto :end


:rvparseutils
call makeall.bat rvparseutils %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~rvparseutils goto :end

:wlzip
call makeall.bat wlzip %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~wlzip goto :end

:xmlparser
rem This module and down must be built with original MSVC PSDK

call makeall.bat xmlparser %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~xmlparser goto :end


:wljscomobject
call makeall.bat wljscomobject %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~wljscomobject goto :end

:protocol_htmlparse
call makeall.bat protocol_htmlparse %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~protocol_htmlparse goto :end


:protocol_xmlparse
call makeall.bat protocol_xmlparse %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~protocol_xmlparse goto :end


:protocol_httpload
call makeall.bat protocol_httpload %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~protocol_httpload goto :end


:wlcertconvert
call makeall.bat wlcertconvert %config% %buildparam%
if /i %builderr% neq 0 goto :error
if /i ~%stopmodule%==~wlcertconvert goto :end



rem *** not a real project, just extra label

:last

goto :end

:error1
echo First parameter must be `debug' or `release'.
goto :usage

:usage
echo:
echo **************************************************************************
echo * MakeBetween Usage:                                                     *
echo * MakeBetween ^<Release^|Debug^> ^<From Module^> ^<To Module^> [/rebuild^|/clean]*
echo *                                                       [/send:compname] *
echo * i.e. MakeBetween release htmlparse httpload                            *
echo * i.e. MakeBetween debug aatwin monitor /rebuild                         *
echo *                                                                        *
echo * Note: Makebetween can be used to build an Entire tree:                 *
echo * i.e. Makebetween debug all                                             *
echo *                                                                        *
echo * Use /send parameter to send message on end of build to compname.       *
echo **************************************************************************
goto :eof

:optional
if /i ~%1==~/clean (
    set buildparam=/clean
)

if /i ~%1==~/rebuild (
    set buildparam=/rebuild
)

set param=%1
set switch=%param:~0,5%

if /i ~%switch%==~/send (
    set sendto=%param:~6%
)
goto :eof

:expand
set BuildDirs=%~dpn1.reg
set OrigDirs=%~dpn2.reg
set DefaultDirs=%~dpn3.reg
cscript ExpandRegEntries.wsf %~f1 %~f2 %~f3 //Nologo
if %errorlevel% neq 0 set builderr=%errorlevel%
goto :eof

:error
echo:
echo **********************
echo * ERROR IN BUILD!!!  *
echo **********************
goto :end

:end
