/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  

#include "rtamscript.h"
#include "wlleprotocolbasetypes.h"

#if 1

#include "nmt.h"
#include "pcui.h"

using namespace nPCUi;

//int main(int ArgTn, const char *Args[])
#include <ace/OS_NS_unistd.h>
int ACE_TMAIN (int ArgTn, ACE_TCHAR *Args[])
{

	CTraceMsg::Init ("LoadEngine") ;//for enable to see messages in the Trace.exe

	cSingleClientProcess SingleClientProcessObject;
	SingleClientProcessObject.fInit();
	cSingleClientMachineThread aMThread;
  aMThread.fInit(THREAD_TYPE_SINGLE_CLIENT);


	try {
//	for( int IX0=0; IX0<3; ++IX0 ) 

int SessionCnt(0);	


while(true)
	{

		printf( "----------------------------------------------------------------------\n" );
		printf( "session count:" );
		if( 0 < SessionCnt ) {	
			printf( "%d\n", SessionCnt );
		} else {
			scanf( "%d", &SessionCnt );
		}
	
		--SessionCnt;
		if( 0 > SessionCnt ) {	
			break;
		}


#if 0
		nMT::cSStmManage IdMap;

		nPCUi::cPCUiThread ThrPCUi( IdMap, (ArgTn>=1)?Args[1]:0, SingleClientProcessObject );
		std::string ThrPCUiId( "d" );
		ThrPCUi.fInit( ThrPCUiId );
		ThrPCUi.fBegin();

		IdMap.fAdd( ThrPCUi.fGetSStm(), ThrPCUiId );

//			ThrPCUi.fTake();

		bool While = true;
		nMT::cSStm* SStm = 0;
		do {
			Sleep(200);
			printf( ">\n" );

			char ChrAryX0[ 1000 ];
			scanf( " %s", ChrAryX0 );
			std::string Str( ChrAryX0 );

			if( Str=="`" ) {
				scanf( " %s", ChrAryX0 );
				nMT::cSStmManage::cId Id( ChrAryX0 );
				SStm = IdMap.fGet( Id );
				} else if( SStm ) {
				SStm->fPush( Str );
				} else {
				printf( ":%s\n", (char*)Str.data() );
				if( Str == "\\" ) {
					While = false;
				}
			}

		} while( While );

#else

		{
      //			RegisterWLENewThreadInstanceScriptFunc(TestThreadInstanceScript::fsNew);
//			RegisterWLInitGeneratorScript(WLInitTestGeneratorScript);
	//		RegisterWLInitGeneratorThread(WLInitTestGeneratorThread);

			cPCUi Ui( SingleClientProcessObject );
    	Ui.fInit( aMThread );

			cScriptFile MainFile( Args[1], Ui );
			Ui.fSetLastRound( 2 );
			Ui.fExecute( "", MainFile, "PCUI", 3, 1 );

			Ui.fFinal();


		}

			

#endif


	}
		
	}
	catch( char* Exn ) {
		;printf("Error: %s\n", Exn);
		//cout << "Error: " << Exn << "\n";
	}
	catch( ... ) {
			;printf( "unknown exception\n" );
		//cout << "unknon exception\n";
	}

	aMThread.fFinal();
	SingleClientProcessObject.fTerminate();
	return 0;
}


#else

#include "headersui.h"
using namespace nHeadersUi;

int main(int ArgTn, const char *Args[]){


	try {

		{
			cHeadersUi Headers;
			Headers.fInit();

			RVCString stat;
			cScriptFile MainFile( Args[1] );
			Headers.fExecute(stat, MainFile );
			Headers.fFinal();
			}

	
		}
	catch( char* Exn ) {
		;printf("Error: %s\n", Exn);
		//cout << "Error: " << Exn << "\n";
		}
	catch( ... ) {
		;printf( "unknon exception\n" );
		//cout << "unknon exception\n";
		}

	return 0;
}



#endif

