/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
/////////////////////////////////////////////////////////////////////////////
// TrayNot.h : header file
//
#include <ShellAPI.h>

/////////////////////////////////////////////////////////////////////////////
// CTrayNot window

class CTrayNot //: public CObject
{
// Construction
public:
	CTrayNot ( HWND hWnd, UINT uCallbackMessage,
				  LPCTSTR szTip, HICON* pList ) ;

// Attributes
public:
	BOOL				m_bEnabled ;	// does O/S support tray icon?
	NOTIFYICONDATA	m_tnd ;
	HICON*			m_pIconList ;	// caller's list of status icons

// Operations
public:
	void SetState ( int id = 0 ) ;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTrayNot)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTrayNot();

};

/////////////////////////////////////////////////////////////////////////////

