/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
// EASTestTalkClient.h: interface for the EASTestTalkClient class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EASTESTTALKCLIENT_H__ADBD8AC3_7E59_11D4_8838_0004AC15A422__INCLUDED_)
#define AFX_EASTESTTALKCLIENT_H__ADBD8AC3_7E59_11D4_8838_0004AC15A422__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef __TV_UNIX__
#include <sys/types.h>
#endif

#include "platform.h"


class CEASTestTalkClient;

class DllExport EASTestTalkClient
{
public:
	EASTestTalkClient();
	virtual ~EASTestTalkClient();

	virtual int  Init(/*[IN]*/u_short listenPort);
	virtual void Start(void);
	virtual void Stop(void);

	inline const char* GetClientName(void);

	int  LoadConfigFile(void);
	int  UpdateConfigFile(void);

private:
	CEASTestTalkClient* m_Self;
};

#endif // !defined(AFX_EASTESTTALKCLIENT_H__ADBD8AC3_7E59_11D4_8838_0004AC15A422__INCLUDED_)

