/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
// netmessageslistener.h: interface for the INetMessagesListener class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_NETMESSAGESLISTENER_H__D90CC4DD_5E66_4EB5_807E_847C81DAAD54__INCLUDED_)
#define AFX_NETMESSAGESLISTENER_H__D90CC4DD_5E66_4EB5_807E_847C81DAAD54__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "netkernelmessagehandler.h"


class DllExport INetMessagesListener  
{
public:
	virtual void MessageDispatched(CAssociativeArray& message) = 0;

	virtual void CopyFileDoneDispatched(int copyFileCompletionState,
																    	const char* copyStatusFileName,
																		  const char* localFileName, 
																		  const char* remoteFileName, 
																		  const char* remoteHostAddress,
																		  CAssociativeArray& message) = 0;
};

#endif // !defined(AFX_NETMESSAGESLISTENER_H__D90CC4DD_5E66_4EB5_807E_847C81DAAD54__INCLUDED_)
