/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
// rfsdataobject.h: interface for the RFSDataObject class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RFSDATAOBJECT_H__151AC54F_AAF7_4B31_80F9_CF0A9F9E0642__INCLUDED_)
#define AFX_RFSDATAOBJECT_H__151AC54F_AAF7_4B31_80F9_CF0A9F9E0642__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "associativearray.h"


class DllExport RFSDataObject  
{
public:
	int       mN0;

	RVCString mS0;
	RVCString mS1;
	RVCString mS2; 
	RVCString mS3;

	CAssociativeArray mMessage;
};

#endif // !defined(AFX_RFSDATAOBJECT_H__151AC54F_AAF7_4B31_80F9_CF0A9F9E0642__INCLUDED_)
