/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  

#include "com_radview_wlutil_java2trace.h"
#include "tracedll.h"

/*
 * Class:     com_radview_wlutils_Java2Trace
 * Method:    Message
 * Signature: (Ljava/lang/String;)V
 */
JNIEXPORT void JNICALL Java_com_radview_wlutil_Java2Trace_Message
	(JNIEnv *env, jclass obj, jstring msg)
{
  const char *str = env->GetStringUTFChars(msg, 0);
	WlTraceMsg(str);
  if (WlTrace) {
	  printf(str);
	  printf("\n");
  }
  env->ReleaseStringUTFChars(msg, str);
}


