/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
// PointerToJava.cpp: implementation of the CPointerToJava class.
//
//////////////////////////////////////////////////////////////////////

#include <string.h>
#include "pointertojava.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CPointerToJava::CPointerToJava(void* pointer)
:
  m_Pointer(pointer)
{
  sprintf(m_StrVal, "%x",m_Pointer);
}

CPointerToJava::CPointerToJava(JNIEnv	*env, jstring jstrPointer)
{
  const char *cPointer = env->GetStringUTFChars(jstrPointer, 0);
  strncpy(m_StrVal, cPointer, sizeof(m_StrVal)-1);
  sscanf(m_StrVal, "%x", &m_Pointer);
  env->ReleaseStringUTFChars(jstrPointer, cPointer);
}

CPointerToJava::~CPointerToJava()
{

}
