function libraryFirstInitClient(libname)
{
  if( typeof wlLocals[libname] == "undefined" )
  {
    wlLocals[libname] = true;
    return true;
  }
  else
    return false;
}

function setNormalParseVars() {
	wlGlobals.Parse = "Yes";
	wlGlobals.GetFrames = true;
	wlGlobals.GetImages = true;
	wlGlobals.GetEmbeds = true;
	wlGlobals.GetApplets = true;
	wlGlobals.GetScripts = true;
	wlGlobals.GetCss = true;
	wlGlobals.GetXML = true;
	wlGlobals.GetOthers = true;
	wlGlobals.ParseTables = false;
	wlGlobals.ParseLinks = true;
	wlGlobals.ParseForms = true;
	wlGlobals.ParseMetas = true;
	wlGlobals.ParseOthers = true;
	wlGlobals.AsmOn = false;

	//wlGlobals.RecvBufferSize = 4096 ; this is the default value.
	//wlGlobals.SaveHeaders = true;	  this is the default value.
	//wlGlobals.ParseOnce = false;      this is the default value.
}

function HttpCacheSet( options )
{
	wlGlobals.HttpCacheType = "None"
	wlGlobals.HttpCacheScope = "SingleCommand"

	if ( options == "normal" )
	{
		wlGlobals.HttpCacheType = "FreshOnly"
		wlGlobals.HttpCacheScope = "SingleRound"
		wlGlobals.HttpCacheUncachedTypes = "Dynamic,HTML"
	}
	else if ( options == "full" )
	{
		wlGlobals.HttpCacheType = "Heuristics"
		wlGlobals.HttpCacheScope = "WholeRun"
		wlGlobals.HttpCacheUncachedTypes = "Dynamic"
	}
}

function setClientType(clientType)
{
	wlGlobals.HtmlContentTypes = "text/html;" ;
	wlGlobals.XmlContentTypes = "text/xml;application/xml;text/vxml;" ;

	if(typeof clientType == "undefined")
		return;

	switch(clientType)
	{
		case "Normal":

			setNormalParseVars();

			break;

		case "Thin" :
			// if get images flag is not set then get nothing

			if (wlGlobals.GetImagesInThinClient){
   			  setNormalParseVars();
			}

			wlGlobals.SaveHeaders = false;
			wlGlobals.ParseOnce = true;

			// Turn Off verification
			wlGlobals.Verification = false;

			// No ASM
			wlGlobals.AsmOn = false;

			// No data drilling
			wlGlobals.AutomaticNamedTransaction = false;
			wlGlobals.SubTransactions = false;
			wlGlobals.TimerTransactions = false;
			wlGlobals.TransactionTime = "0";
//			wlGlobals.LoadGeneratorThreads = "Single";

			break;

		case "Thick":
			// turn on everything!!
			setNormalParseVars();

			// Extra Parsing
			wlGlobals.ParseTables = true;

			wlGlobals.RecvBufferSize = 8192 ;
			break;

		case "Custom":

			break;

	}

}


//===================================================================================

// Chaim - we will still export this function but won't call it since we have UI for it now
//HttpCacheSet()

if( typeof wlGlobals.ClientType == "undefined" && GetThreadType() == WLThreadTypeBrowserPlayback )
	wlGlobals.ClientType = "Thick";

setClientType(wlGlobals.ClientType);

IncludeFile("protocol_wlFuncTest.js",WLExecuteScript);
IncludeFile("protocol_wlTestCases.js",WLExecuteScript);
IncludeFile("ideParamLib.js",WLExecuteScript);
IncludeFile("dbbuildingblocks.js", WLExecuteScript);
IncludeFile("protocol_ScriptFuncs.js", WLExecuteScript);
IncludeFile("protocol_AutomaticCorrelation.js", WLExecuteScript);
