/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  

#ifndef dHeadersUi
#define dHeadersUi

#include <list>

#include "rvjsapi.h"

//#include "platform.h"
#include "tvtables.h"
#include "tracedll.h"
//#include "wlerrorlib.h"
//#include "loadengineglobals.h"
#include "rtamscript.h"
//#include "LoadReportInfo.h"

#include "pcui.h"

#include <stdlib.h>
#include <fstream>
#include <process.h>

namespace nHeadersUi {

using namespace nJsd;
using namespace nPCUi;


class cHeadersUi: public iLoadSAFHeaders, RV_INHERIT_PROTECTED iGeneralUi {

public:

	explicit cHeadersUi(cSingleClientProcess&);

	virtual ~cHeadersUi();

	iAgendaFile* fGetFile( bool&, iEmbedderCallContext&, const char*);

	void fCopyFile( iEmbedderCallContext&, const char*, const char* );


	void fReporter( iReportInfo& );


protected:



private:
	std::list< std::auto_ptr<cScriptFile> > mFiles;
	};






	} // nPCUi

#endif // dPCUi
