/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
/*
#include <time.h>
#include <thr.h>
#include <thr.h>

#include "rvjsapi.h"

#include "jstestpr.h"

int threadsRunning = 0;
bool terminate = false;
RVCriticalSection threadsMutex;

RVCriticalSection coutMutex;

int roundsCounter = 0;
double threadsIdSum = 0;
time_t startTime;
RVCriticalSection roundsCounterMutex;

RVThreadFunction GCThread;

void JSTestPR_IncNumRounds(int threadId) 
{
  RVCriticalSection::LockGuard lock(roundsCounterMutex);
  if (roundsCounter==0)
    startTime=time(NULL);
  roundsCounter++;
  threadsIdSum+=threadId;
  if (roundsCounter%10000 == 0)
    JSTestPR_Output("Total rounds: %d after %d Seconds, Average thread id %lg\n",roundsCounter,time(NULL)-startTime,threadsIdSum/roundsCounter);
}

void JSTestPR_Output(const char* format, ...)
{
  if (format == NULL)
		return;

  va_list ap;
  va_start(ap, format);
  {
    RVCriticalSection::LockGuard lock(coutMutex);
    vprintf(format, ap);
  }
  va_end(ap);

	return;
}

void JSTestPR_Sleep(int milisec)
{
  ::rvSleep(milisec);
}

int JSTestPR_CreateGcThread(JSTestPR_GCFuncType* gcFunc)
{
  GCThread = rvMakeThreadFunction(gcFunc);
  GCThread.start();
  return 1;
}

int JSTestPR_CreateThreads(JSTestPR_ThreadFuncType* threadFunc, JSRuntime* rt, JSContext* parent_cx, int nThreads)
{
  for (int i=1; i<=nThreads; i++) {
  	JS_BeginRequest(parent_cx);
  	JSContext *cx = JS_NewContext(rt,8192);
		JS_EndRequest(parent_cx);
    RVThreadFunction T = rvMakeThreadFunction(threadFunc,i,cx);
		T.start();
	}
  JSTestPR_WaitForNThreads(nThreads);
  JSTestPR_Output("Threads started - Ready %d threads\n", nThreads);
  return 1;
}

void JSTestPR_ThreadStarted()
{
  RVCriticalSection::LockGuard lock(threadsMutex);
  threadsRunning++;
}

void JSTestPR_ThreadDone()
{
  RVCriticalSection::LockGuard lock(threadsMutex);
  threadsRunning--;
}


void JSTestPR_WaitForNThreads(int nThreads)
{
  while (threadsRunning != nThreads)
    ::rvSleep(100);
  
}

void JSTestPR_TerminateAll()
{
  terminate=true;
  JSTestPR_WaitForNThreads(0);
  JSTestPR_Output("Threads Termination - Done.\n");
}

bool JSTestPR_IsTerminate()
{
  return terminate;
}
*/

