/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  

#include "platform.h"
#include "tvtables.h"
#include "tracedll.h"
#include "wlerrorlib.h"
#include "loadengineglobals.h"
#include "rtamscript.h"

static int count=1;

class TestThreadInstanceScript : public CLoadGeneralThreadInstanceScript  {
private:
  int id;
public:
  TestThreadInstanceScript(CLoadGeneralThreadInstance *threadInstance) :
    CLoadGeneralThreadInstanceScript (threadInstance)
  {
    id=count++;
  }
  ~TestThreadInstanceScript() {}
};

CLoadGeneralThreadInstanceScript * JSNewRTAMThreadInstanceScript(CLoadGeneralThreadInstance *threadInstance)
{
  //WlTraceMsg("JSNewWebThread: new instance()");
	CLoadGeneralThreadInstanceScript * hp = new TestThreadInstanceScript(threadInstance);
  //WlTraceMsg("instance[%x] created", hp);
  return (CLoadGeneralThreadInstanceScript*)hp;
}
//CLoadGeneralThreadInstanceScript* JSNewTestThread(CLoadGeneralThreadInstance *threadInstance)
//{
//  return NULL;
//}

bool WLInitTestGeneratorThread(JSContext* cx, JSObject* obj, CLEVariablesData* pVariablesData)
{
  return true;
}
bool WLInitTestGeneratorScript(JSContext* cx, JSObject* global, JSObject* GeneralGlobal )
{
  return true;
}
/*
int main(int argc, char *argv[])
{
	CTraceMsg::Init("SingleTest");
  RegisterWLENewThreadInstanceScriptFunc(JSNewRTAMThreadInstanceScript);
  RegisterWLInitGeneratorScript(WLInitTestGeneratorScript);
  RegisterWLInitGeneratorThread(WLInitTestGeneratorThread);

  CRTAMScript a("Sleep(1000);InfoMessage(\"Info\");SevereErrorMessage(\"Severe\")");
  a.Init();

  RVCString log;
  RVCString stat;
  WLLogMessage::Severity s = a.Execute(stat,log);

  cout << "Stat string: " << stat << endl;
  cout << "Log string: " << log << endl;

  TVSTerminate();
  WLERRTerminate();
  return 1;
} 
*/

int main(int argc, char *argv[])
{
	CTraceMsg::Init("SingleTest");
  //WlTraceMsg("Starting LoadEngineTest:main(%s,%s,%s,%s)",argv[1], argv[2], argv[3], argv[4]);
  //  RegisterWLENewThreadInstanceScriptFunc(JSNewRTAMThreadInstanceScript);
//  RegisterWLInitGeneratorShell(WLInitTestGeneratorShell);
  RegisterWLInitGeneratorScript(WLInitTestGeneratorScript);
  RegisterWLInitGeneratorThread(WLInitTestGeneratorThread);

  WlTraceMsg("Starting LoadGeneratorMain");
  //int nRounds = atoi(argv[2]);
  WLLoadSingleTestMain(argv[1]); 
  TVSTerminate();
  WLERRTerminate();
  return 1;
} 

