/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
/*
 * Nvsmsg.h  -- NetView-Server messages Module Definitions.
 *
 *   who          when          what
 * Yahali     17-Nov-93     Creation.
 *
 */

#ifndef __TV_NVSPACKMSG_H
#define __TV_NVSPACKMSG_H

#include "nvsmsg.h"
#include "typedmsg.h"
#include "platform.h"
#include "netmsg.h"

// ****  Interface Functions **** //

#if (defined_cplusplus) || (defined __cplusplus)
extern "C" {
#endif

#ifndef __TV_UNIX__
DllExport HCLIENTDATA WINAPI NVSPackTM(TypedMessageObject& tmo);
DllExport TypedMessageObject* WINAPI NVSUnPackTM(HCLIENTDATA hData);
DllExport void WINAPI NVSDeleteTM(TypedMessageObject* tm);

DllExport HCLIENTDATA WINAPI NVSPackMsg(TestTalkMessage& tnm);
DllExport TestTalkMessage* WINAPI NVSUnPackMsg(HCLIENTDATA hData);
#endif
DllExport void WINAPI NVSDeleteMsg(TestTalkMessage* msg);

DllExport TestTalkMessage* WINAPI NVSTmo2Ttm(TypedMessageObject* tmo);

#if (defined_cplusplus) || (defined __cplusplus)
}
#endif


#endif // __TV_NVSPACKMSG_H

