/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  

#ifndef dJs
#define dJs

#include "rvjsapi.h"
#include "wlerrorlib.h"

#include "rvjs.h.h"

namespace nJs {



class iJSEmbedContext
{
public:
	explicit iJSEmbedContext();
	virtual ~iJSEmbedContext();

	void fSignContext( JSContext* );
	static void fsUnsignContext( JSContext* );
	static iJSEmbedContext* fsGet( JSContext* rCx );
/*
	virtual void vReportLog( iExecReportCommit&, iReportInfo& ) = 0;
		void fReportLog( iExecReportCommit& _X0, iReportInfo& _X1 ) { vReportLog( _X0, _X1 ); }

	virtual void vReportApply( iExecReportCommit&, iReportInfo& ) = 0;
		void fReportApply( iExecReportCommit& _X0, iReportInfo& _X1 ) { vReportApply( _X0, _X1 ); }
*/
	virtual void vJSExecReportCommit( iJSExecReportCommit&, iReportInfo& ) = 0;
		void fJSExecReportCommit( iJSExecReportCommit& _X0, iReportInfo& _X1 ) { vJSExecReportCommit( _X0, _X1 ); }

	virtual bool vIsUserSection() = 0;
		bool fIsUserSection() {return vIsUserSection();}
};



} // nJs

using nJs::iJSEmbedContext;

#endif // dJs
